New Search

Print Spooler Service Impersonation Vulnerability

oval:org.mitre.oval:def:7358

The Print Spooler service in Microsoft Windows XP SP2 and SP3 Windows Server 2003 SP2 Windows Vista SP1 and SP2 Windows Server 2008 Gold SP2 and R2 and Windows 7 when printer sharing is enabled does not properly validate spooler access permissions which allows remote attackers to create files in a system directory and consequently execute arbitrary code by sending a crafted print request over RPC as exploited in the wild in September 2010 aka "Print Spooler Service Impersonation Vulnerability."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Vista
  • Microsoft Windows Server 2003
  • Microsoft Windows XP
  • Microsoft Windows 7
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2008 R2
Class:
vulnerability
Reference(s):
  • CVE-2010-2729
Product(s):